#pragma once

#include "ConfigXmlParser.h"
#include "DataContext.h"

namespace tipcommon
{

	/**
	* @class TipAppDataManager
	* Config Data Context ϴ Ŭ̴.
	*/
	class TipAppDataManager
	{
	public:
		TipAppDataManager():m_configDataContext(NULL) { }
		~TipAppDataManager() 
		{
			if (m_configDataContext)
				delete m_configDataContext;
		}
		BOOL LoadXmlDoc(LPCTSTR configxml_filename, BOOL bIncludePath = FALSE, Locale::Type locale = Locale::Korean);
		CComVariant GetProperty(LPCTSTR key);
		CString GetProperty(Element::Type elementType);

	protected:
		IDataContext* m_configDataContext;

	};

};